Bug 246094 - second mass storage device/volume not found
second mass storage device/volume not found
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-28 10:37 EDT by Pavol Šimo
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-10 16:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavol Šimo 2007-06-28 10:37:13 EDT
I have mp3 player with internal memory and SD card slot. Plugging the player to
the USB slot shows only the internal memory as mass storage device/volume, the
SD card is not detected.
I'm sure this has worked some time ago (early FC6 I think) and both devices were
accessible - and "other proprietary operating system" shows it right, too.

dmesg shows only one device(internal memory has 512MB, SD card has 1GB):
usb 5-4: new high speed USB device using ehci_hcd and address 10
usb 5-4: configuration #1 chosen from 1 choice
scsi7 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 10
usb-storage: waiting for device to settle before scanning
scsi 7:0:0:0: Direct-Access     SigmaTel MSCNMMC          0100 PQ: 0 ANSI: 4
SCSI device sdb: 1011712 512-byte hdwr sectors (518 MB)
sdb: Write Protect is off
sdb: Mode Sense: 38 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 1011712 512-byte hdwr sectors (518 MB)
sdb: Write Protect is off
sdb: Mode Sense: 38 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 7:0:0:0: Attached scsi removable disk sdb
sd 7:0:0:0: Attached scsi generic sg2 type 0
usb-storage: device scan complete
Comment 1 Chuck Ebbert 2007-06-28 17:00:41 EDT
Can we get the USB vendor and device ID for this?

Output of 'lsusb -n' should show it.
Comment 2 Pavol Šimo 2007-06-29 01:57:21 EDT
Yes, lsusb says this:

Bus 005 Device 012: ID 066f:8004 SigmaTel, Inc. MSCNMMC MP3 Player
Comment 3 Pete Zaitcev 2007-08-06 18:39:56 EDT
The dmesg was well captured but does not show why this happens.
Pal'o, please capture me a trace from usbmon. There's a howto here:
I would like to see if the number of LUNs request is being issued
correctly and what the result is. But don't truncate the trace,
just attach it whole as a file. I'm assuming here that the problem
continues to occur.
Comment 4 Pavol Šimo 2007-08-10 16:33:12 EDT
Sorry for reporting "the bug". But only after reading the comment #3 I tried to
add a max_luns=4 option for the scsi_mod module (I have custom configured kernel
without the option CONFIG_SCSI_MULTI_LUN) and it helps - now I can see the SD
card too.
Thanks for help.

Note You need to log in before you can comment on or make changes to this bug.